import tables
import numpy

r = MeasurementResult("test")

def result():
    try:
        h5 = tables.open_file("test.h5", "w")
    except:
        print("h5 already opened")
    accu = Accumulation(error=False)
    for num,ts in enumerate(results):
        data["accu"] = accu
        data["data/ts %i"%num] = ts+0
        ts.write_to_hdf(h5, "/", f"adc_{num}", f"adc_{num}")
        data["fft"] = (ts+0).fft()
        r[num] = ts.y[0][0]
        data["test"] = r
        accu+=ts
    accu.write_to_hdf(h5, "/", "name", "title")
    try:
        h5.close()
    except:
        print("h5 already closed")